﻿.lceditor {
	background-color: #f8f4fd;
}

	.lceditor, .lceditor * {
		box-sizing: border-box !important;
		-moz-box-sizing: border-box !important;
		font-size: 0.6875rem !important;
	}

		.lceditor > div:nth-child(1) {
			position: absolute;
			top: 0px;
			bottom: 0px;
			overflow-y: auto;
			padding: 0.75rem 2.9375rem 0.75rem 0.5rem;
			border-right: solid 1px #C8C8C8;
		}

		.lceditor > div:nth-child(2) {
			position: absolute;
			top: 0px;
			bottom: 0px;
		}

		.lceditor .lce_ph_cpt {
			white-space: nowrap;
			overflow: hidden;
			text-overflow: ellipsis;
			padding: 0px;
			margin-bottom: 0.125rem;
			font-size: 0.6875rem !important;
		}

		.lceditor input[type=checkbox] {
			width: 0.8125rem;
			height: 0.8125rem;
			margin: 0px;
            padding: 0px;
		}

		.lceditor .phasechk {
			width: 0.8125rem;
			height: 0.8125rem;
			margin: 0px;
			padding: 0px;
			float:right;
		}

        /*.lceditor input[type=checkbox]:focus {
            outline: dotted 1px #000 !important;
		}*/

		.lceditor .lce_ph_cont {
			margin-bottom: 0.125rem;
			overflow-y: visible;
			margin-bottom: 0.125rem;
		}

/*			.lceditor .lce_ph_cont .lce_phbar {
				display:inline-block;
			}
*/
		.lceditor .lce_phbar {
			height: 0.625rem;
			font-size: 1px;
		}

			.lceditor .lce_phbar.lce_actv {				
				border-left: solid 0.125rem;
				border-right: solid 0.125rem;
				opacity: 1.0;
			}

				.lceditor .lce_phbar.lce_actv > div {
					height: 0.4375rem;
					border-bottom: solid 0.25rem;
				}

		.lceditor .lce_ph_cont .lce_phbar {
			float:left;
			width: 5.625rem;
		}

		.lceditor .lce_ph_cont > input[type=checkbox] {
		}

		.lceditor .lce_capt {
			height: 4.375rem;
			padding: 1.75rem 0px 0px 1.125rem;
			font-weight: bolder;
		}

		.lceditor .lce_scales_pane {
			margin-left: 0.75rem;
			height: 6.5625rem;
		}

			.lceditor .lce_scales_pane table {
				border-spacing: 0px;
				border-collapse: collapse;
			}

			.lceditor .lce_scales_pane img {
				border: 0px;
			}

			.lceditor .lce_scales_pane td {
				padding: 0px;
			}
			/* years row */
			.lceditor .lce_scales_pane .lce_ytblcntcell {
				padding-right: 0.125rem;
			}

			.lceditor .lce_scales_pane .lce_years_table {
			}

				.lceditor .lce_scales_pane .lce_years_table col {
					width: 3rem;
				}

				.lceditor .lce_scales_pane .lce_years_table td {
					font-size: 0.4375rem;
					text-align: center;
					cursor: default;
				}

			.lceditor .lce_scales_pane .lce_larrimgcell {
				padding-right: 0.125rem;
				font-size: 1px !important;
				line-height: 1px !important;
			}

			.lceditor .lce_scales_pane .lce_scaleimgcell {
				font-size: 1px !important;
				line-height: 1px !important;
				border: solid 1px rgb(173, 178, 178);
			}

			.lceditor .lce_scales_pane .lce_rarrimgcell {
				padding-left: 0.125rem;
				font-size: 1px !important;
				line-height: 1px !important;
			}

				.lceditor .lce_scales_pane .lce_larrimgcell > img, .lceditor .lce_scales_pane .lce_rarrimgcell > img {
					width: 1rem;
					height: 0.9375rem;
				}

			.lceditor .lce_scales_pane .lce_emtyrowcell {
				border-left: solid 1px rgb(173, 178, 178);
				border-right: solid 1px rgb(173, 178, 178);
				font-size: 1px !important;
				line-height: 1px !important;
			}
			/* empty edge cell */
			.lceditor .lce_scales_pane .lce_edgecell {
				padding-right: 0.125rem;
				font-size: 1px !important;
				line-height: 1px !important;
			}

			.lceditor .lce_scales_pane table .lce_edgecell > img {
				width: 1rem;
				height: 0.9375rem;
			}

				.lceditor .lce_scales_pane table .lce_edgecell > img.lce_high_nil {
					width: 1rem;
					height: 2.0625rem;
				}
			/* positioning div with phases */
			.lceditor .lce_scales_pane .lce_posdiv {
				position: relative;
				left: 1.1875rem;
				top: -4.0625rem;
				width: 36rem;
				height: 5.125rem;
				font-size: 1px !important;
				line-height: 1px !important;
				overflow: hidden;
			}

				.lceditor .lce_scales_pane .lce_posdiv .lce_resizediv {
					position: absolute;
					left: 0px;
					top: 0.5rem;
					width: 1.5rem;
					height: 1.25rem;
					overflow: hidden;
					font-size: 1px;
					font-size: 1px !important;
					line-height: 1px !important;
					border-left: solid 1px rgb(128, 128, 128);
					border-right: solid 1px rgb(128, 128, 128);
					background-color: transparent;
				}

					.lceditor .lce_scales_pane .lce_posdiv .lce_resizediv > div {
						position: absolute;
						top: 0px;
						width: 0.125rem;
						height: 100%;
						overflow: hidden;
						cursor: e-resize;
						background-color: transparent;
					}

						.lceditor .lce_scales_pane .lce_posdiv .lce_resizediv > div:nth-child(1) {
							left: 0px;
							border-left: solid 1px rgb(128, 128, 128);
						}

						.lceditor .lce_scales_pane .lce_posdiv .lce_resizediv > div:nth-child(2) {
							right: 0px;
							border-right: solid 1px rgb(128, 128, 128);
						}

				.lceditor .lce_scales_pane .lce_posdiv div.lce_phbar {
					position: absolute;
					opacity: 0.7;
					top: 0.25rem;
					cursor: pointer;
					left: 0.125rem;
					width: 5.625rem;
				}

					.lceditor .lce_scales_pane .lce_posdiv div.lce_phbar.lce_actv {
						top: 3.25rem;
					}

		/* align active period and duration pane */
		.lceditor .lce_keepdur_pane {
			padding: 0px 1.75rem 0px 0.75rem;
			height: 2.5rem;
			border-bottom: solid 1px #C8C8C8;
			font-size: 0.6875rem;
		}

			.lceditor .lce_keepdur_pane > div.viewctrl {
				float: left;
				font-size: 0.6875rem !important;
			}

			.lceditor .lce_keepdur_pane > label {
				display: inline-block;
				margin-left: 0.25rem;
				margin-top: 0.4375rem;
			}

			.lceditor .lce_keepdur_pane > input[type=checkbox] {
				margin-top: 0.625rem;
			}

			.lceditor .lce_keepdur_pane > label, .lceditor .lce_keepdur_pane .keepdurchk {
				float: right;
			}
		/* current phase pane */
		.lceditor .lce_curphase_pane {
			padding: 0.75rem 0px 0px 0.75rem;
			height: 2.75rem;
		}

			.lceditor .lce_curphase_pane span {
				float: left;
				display: inline-block;
			}

				.lceditor .lce_curphase_pane span:nth-child(2) {
					font-weight: bolder;
					margin-left: 2.0625rem;
				}

		/* lower control pane */
		.lceditor .lce_ctrl_pane {
			padding-left: 0.75rem;
			height: 6.875rem;
		}

			.lceditor .lce_ctrl_pane > div {
				margin-right: 0.875rem;
				float: left;
				overflow: visible;
				display: inline-block;
			}

				.lceditor .lce_ctrl_pane > div > div:nth-child(1) {
					display: block;
					height: 1.125rem !important;
					margin-bottom: 0.125rem !important;
				}

				.lceditor .lce_ctrl_pane > div:nth-child(3) > div {
					height: 1.375rem;
					margin-bottom: 0.625rem;
				}

				.lceditor .lce_ctrl_pane > div:nth-child(4) {
					padding-top: 5.25rem;
				}

				.lceditor .lce_ctrl_pane > div:nth-child(3) .durinput {
					width: 2.375rem;
					float: left;
					margin-right: 0.75rem;
				}

				.lceditor .lce_ctrl_pane > div:nth-child(3) span {
					float: left;
					display: inline-block;
					margin-top: 0.1875rem;
				}

		.lceditor .lce_err_field {
			padding: 0.375rem 1.25rem 0px 1.25rem;
			color: #ff0000 !important;
		}

		.lceditor .web_datepicker {
			position: static !important;
			width: 7.125rem;
		}

.lc-grid-container {
	display: grid;
	grid-template-columns: 1fr 1fr 1fr 1fr;
	grid-auto-rows: 2.5rem;
	grid-gap: 1rem;
	margin-block-start: 1rem;
}

.lc-phase {
	display: flex;
	align-items: center;
}

.lc-phase > * {
	margin-inline-end: 1rem;
}

.lc-phase .lc-phase-color {
	height: 1rem;
	width: 1rem;
}

.lc-phase-duration {
	display: flex;
	align-items: center;
}

.lc-active-phase .lc-phase-state {
	visibility: hidden;
}

.lc-align-active-btn {
	height: 2rem;
	margin-block-start: 2rem;
}